Get Team Group By Id

gethttps://app.fossa.com/api/teams/groups/{id}

Get detailed information about a team group by ID, including teams and members

Path parameters

idintegerrequired

ID of the team group

Responses

200OK
idinteger

Team group ID

namestring

Team group name

defaultRoleIdinteger

Default role ID for members

teamsobject[]

Teams within this team group

idinteger

Team ID

namestring

Team name

numProjectsinteger

Number of projects and release groups assigned to this team

membersobject[]

Members of this team group with user details

userIdinteger

User ID

roleIdinteger

Role ID

usernamestring

Username

emailstring

Email address

400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not Found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/teams/groups/1
curl --request GET \  --url 'https://app.fossa.com/api/teams/groups/1' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired

ID of the team group